Debian Bug report logs - #576284
buildbot: CSS stylesheet is not set for index.html

version graph

Package: buildbot; Maintainer for buildbot is Andriy Senkovych <jolly_roger@itblog.org.ua>; Source for buildbot is src:buildbot.

Reported by: Andriy Senkovych <andriysenkovych@gmail.com>

Date: Fri, 2 Apr 2010 14:57:05 UTC

Severity: minor

Tags: patch

Found in version buildbot/0.7.12-2

Fixed in version buildbot/0.7.12-3

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#576284; Package buildbot. (Fri, 02 Apr 2010 14:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andriy Senkovych <andriysenkovych@gmail.com>:
New Bug report received and forwarded. Copy sent to Matthias Klose <doko@debian.org>. (Fri, 02 Apr 2010 14:57:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andriy Senkovych <andriysenkovych@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: buildbot: CSS stylesheet is not set for index.html
Date: Fri, 02 Apr 2010 17:51:42 +0300
Package: buildbot
Version: 0.7.12-2
Severity: minor
Tags: patch


index.html in public_html directory of the buildmaster configuration does not
include link to CSS file while other buildbot web locations do have this file
included. 

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=uk_UA.UTF-8, LC_CTYPE=uk_UA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages buildbot depends on:
ii  adduser                   3.112          add and remove users and groups
ii  dpkg                      1.15.5.6       Debian package management system
ii  install-info              4.13a.dfsg.1-5 Manage installed documentation in 
ii  python                    2.5.4-9        An interactive high-level object-o
ii  python-central            0.6.14+nmu2    register and build utility for Pyt
ii  python-twisted-core       10.0.0-2       Event-based framework for internet
ii  python-twisted-words      10.0.0-2       Chat and Instant Messaging

Versions of packages buildbot recommends:
ii  python-twisted-mail           10.0.0-1   An SMTP, IMAP and POP protocol imp
ii  python-twisted-web            10.0.0-1   An HTTP protocol implementation to

Versions of packages buildbot suggests:
ii  cvs                         1:1.12.13-12 Concurrent Versions System
ii  darcs                       2.4-1        a distributed, interactive, smart 
ii  git-core                    1:1.7.0.3-1  fast, scalable, distributed revisi
ii  mercurial                   1.5-1        scalable distributed version contr
ii  subversion                  1.6.9dfsg-1  Advanced version control system

-- no debconf information

*** index.html.patch
Add stylesheet to index.html
===================================================================
--- a/buildbot/status/web/index.html
+++ b/buildbot/status/web/index.html
@@ -3,6 +3,7 @@
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-15">
 <title>Welcome to the Buildbot</title>
+<link href="buildbot.css" rel="stylesheet" type="text/css" />
 </head>
 
 <body>




Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Sun, 28 Nov 2010 17:51:10 GMT) Full text and rfc822 format available.

Notification sent to Andriy Senkovych <andriysenkovych@gmail.com>:
Bug acknowledged by developer. (Sun, 28 Nov 2010 17:51:10 GMT) Full text and rfc822 format available.

Message #10 received at 576284-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 576284-close@bugs.debian.org
Subject: Bug#576284: fixed in buildbot 0.7.12-3
Date: Sun, 28 Nov 2010 17:47:22 +0000
Source: buildbot
Source-Version: 0.7.12-3

We believe that the bug you reported is fixed in the latest version of
buildbot, which is due to be installed in the Debian FTP archive:

buildbot_0.7.12-3.diff.gz
  to main/b/buildbot/buildbot_0.7.12-3.diff.gz
buildbot_0.7.12-3.dsc
  to main/b/buildbot/buildbot_0.7.12-3.dsc
buildbot_0.7.12-3_all.deb
  to main/b/buildbot/buildbot_0.7.12-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 576284@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated buildbot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 28 Nov 2010 18:01:56 +0100
Source: buildbot
Binary: buildbot
Architecture: source all
Version: 0.7.12-3
Distribution: unstable
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 buildbot   - a system to automate the compile/test cycle
Closes: 576284 587314 600268
Changes: 
 buildbot (0.7.12-3) unstable; urgency=low
 .
   * Make recommendations on python-twisted-mail and python-twisted-web
     dependencies.  Closes: #600268.
   * Use dh_python2 instead of python-central.
   * Set CSS stylesheet for for index.html (Andriy Senkovych). Closes: #576284.
   * Add homepage to debian/control. Closes: #587314.
Checksums-Sha1: 
 5d883b70d2f1d33f49bd5be0c2d7ef1fe0dcc998 1108 buildbot_0.7.12-3.dsc
 06a37ae49c516337e5b0436fb163903b6149d50f 7304 buildbot_0.7.12-3.diff.gz
 90afb5d33309468a264efddca57a64b11b03568b 1097978 buildbot_0.7.12-3_all.deb
Checksums-Sha256: 
 4cc531dc7b2f861466b0e028fddfb4899eac4c68076abb1ea50ceba79f2f2e77 1108 buildbot_0.7.12-3.dsc
 0df515884372bee48ba0008d58142974dd383409b34f133ca13496f78c58c0f8 7304 buildbot_0.7.12-3.diff.gz
 192bef77ca17c028f435ef88a45966f0e8f901d4093121d1a79512d40bbf1de1 1097978 buildbot_0.7.12-3_all.deb
Files: 
 b1277a5a17a7c96c7a672093c33855c5 1108 devel optional buildbot_0.7.12-3.dsc
 194942b6723eb47d982a73713cebd19c 7304 devel optional buildbot_0.7.12-3.diff.gz
 e2c95d7d6589bfea8e37ffe9df76cf54 1097978 devel optional buildbot_0.7.12-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzykEgACgkQStlRaw+TLJx1GQCdHjuJfLhdR8Ac07G3d2VPxNX1
fVkAn0EgP4dwmZjpjKY9tFBSevuCvUfY
=KRP/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 10:06:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:41:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.